Subject: Re: [PATCH] make strip: include `scalar`

From: Patrick Steinhardt <[email-masked]>
Date: Mon, 1 Dec 2025 08:58:34 +0100

On Tue, Nov 25, 2025 at 02:54:09PM -0800, Junio C Hamano wrote:
> Johannes Schindelin <[email-masked]> writes:
> 
> >> > -strip: $(PROGRAMS) git$X
> >> > +strip: $(PROGRAMS) git$X scalar$X
> >> >  	$(STRIP) $(STRIP_OPTS) $^
> >> 
> >> I wonder why the original names git$X here explicitly, instead of
> >> using say $(OTHER_PROGRAMS) that covers both of these.  I know that
> >> the undocumented INCLUDE_DLLS_IN_ARTIFACTS knob uses OTHER_PROGRAMS
> >> by throwing in non-programs like DLLs to it, so that artifacts-tar
> >> target would include them, but perhaps instead of working around the
> >> misdesign of that target, wouldn't it be better to correct its use
> >> of OTHER_PROGRAMS and use it here instead?
> >> 
> >> The change (including the "strip scalar, too!" part) should look
> >> like this, I think.
> >
> > Sure.
> >
> >> Also do we need a matching change to CMake and meson?
> >
> > I am unfamiliar with Meson, and do not see anything about stripping in
> > `meson.build` apart from a `--strip` option that is mentioned in a comment
> > (and which I would assume already handles all executables, otherwise the
> > move to Meson really is not worth all the hassle).
> 
> That's a great point.
> 
> Anyway, the original patch that started this thread is not wrong, so
> let me queue it as-is.  Those who want to improve on it can build on
> top.

Yup, Dscho is exactly right. Meson handles stripping natively via the
`--strip` option that you can pass at setup time. If so, it knows to
strip all binaries when installing.

So there's nothing we need to do for Meson, thanks!

Patrick